﻿* Encoding: UTF-8.

*****************************************************************************************************************************************************************************************************************.
***************************************GENERACIÓN DE TABULADOS - MÓDULO DE TIC DE LA ENCUESTA ESTRUCTURAL EMPRESARIAL 2020****************************.
*****************************************************************************************************************************************************************************************************************.

*INSTITUTO NACIONAL DE ESTADÍSTICA Y CENSO (INEC)
*FUENTE: Encuesta de Estructural Empresarial 2020.
*RESPONSABLE: Unidad de Gestión de Estadísticas Estructurales
*Fecha de elaboración: Noviembre.
*Fecha de última actualización: 18/04/2022.     


*Estimado Usuario. Por favor en el disco C: de su computadora, crear una carpeta llamada "Tabulados_Estructural", y coloque la base de datos de la encuesta.
*En esta carpeta se exportarán los resultados de los tabulados. 
*NOTA: Para efectos de calcular los porcentajes en los tabulados se ha incluido las empresas que responden SI y NO en las preguntas correspondientes, a pesar de que
en el tabulado que se encuentra en la página WEB solo se muestra la información de las empresas con la categoría SI. 

GET FILE ='C:\Tabulados_Estructural\2020_ENESEM_BDD_TIC.sav'.

*Utilizar la base con el factor de expansión. 

WEIGHT BY f_exp.

*Inversión en TIC. 
*CUADRO 1. EMPRESAS QUE INVIRTIERON EN TIC						
(NÚMERO Y PORCENTAJE) **
	
*POR SECTOR ECONÓMICO.
CTABLES
  /VLABELS VARIABLES=cod_sector k tic1_1 tic1_2 DISPLAY=BOTH
  /TABLE cod_sector [C] BY k [S][SUM] + tic1_1 [C][COUNT F40.0, ROWPCT.TOTALN PCT40.1] + tic1_2 
    [SUM]
  /CATEGORIES VARIABLES=cod_sector ORDER=A KEY=VALUE EMPTY=EXCLUDE  TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=tic1_1 [1, 2, OTHERNM] EMPTY=INCLUDE
  /CRITERIA CILEVEL=95. /TITLES TITLE='CUADRO No. C1A'
                        'NUMERO DE EMPRESAS QUE INVIRTIERON EN TIC SEGÚN SECTOR ECONÓMICO DE LA EMPRESA,'
                        '(NÚMERO Y PORCENTAJE)'
         CAPTION='Fuente: Módulo de TIC de la Encuesta Estructural Empresarial (ENESEM) 2020'.		
				        
OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLSX  DOCUMENTFILE='C:\Tabulados_Estructural\TABULADOS_TIC'
            OPERATION=CREATESHEET  SHEET='C1A'
            LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

*POR TAMAÑO DE EMPRESA. 
CTABLES
  /VLABELS VARIABLES=cod_tamano k tic1_1 tic1_2 DISPLAY=LABEL
  /TABLE cod_tamano [C]  BY k [S][SUM] + tic1_1 [C][COUNT F40.0] + tic1_2 [S][SUM]
  /CATEGORIES VARIABLES=cod_tamano ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=tic1_1 [1, 2, OTHERNM] EMPTY=INCLUDE
  /CRITERIA CILEVEL=95
  /TITLES TITLE='CUADRO No. C1B'
                        'NUMERO DE EMPRESAS QUE INVIRTIERON EN TIC SEGÚN TAMAÑO DE LA EMPRESA'
                        '(NÚMERO Y PORCENTAJE)'
         CAPTION='Fuente: Módulo de TIC de la Encuesta Estructural Empresarial (ENESEM) 2020'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLSX DOCUMENTFILE='C:\Tabulados_Estructural\TABULADOS_TIC'
           OPERATION=CREATESHEET  SHEET='C1B'
           LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

*Conexión y uso de internet.
*CUADRO 2. EMPRESAS CON CONEXIÓN A INTERNET Y TIPO DE CONEXIÓN								
(NÚMERO Y PORCENTAJE).	

*Para efectos del tabulado se recodifican los valores perdidos por el flujo del formulario (se recodifican como NO). 

*POR SECTOR ECONÓMICO.
CTABLES
  /VLABELS VARIABLES=cod_sector k tic2_1 tic2_2 tic2_3 tic2_4 DISPLAY=LABEL
  /TABLE cod_sector [C]  BY k [S][SUM] + tic2_1 [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic2_2 [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
                                                                          + tic2_3 [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic2_4 [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=cod_sector ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=tic2_1 tic2_2 tic2_3 tic2_4 [1, 2, OTHERNM] EMPTY=INCLUDE
  /CRITERIA CILEVEL=95
  /TITLES TITLE='CUADRO No. C2A'
                         'EMPRESAS CON CONEXIÓN A INTERNET Y TIPO DE CONEXIÓN SEGÚN SECTOR ECONÓMICO DE EMPRESA'
                         '(NÚMERO Y PORCENTAJE)'
         CAPTION='Fuente: Módulo de TIC de la Encuesta Estructural Empresarial (ENESEM) 2020'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLSX DOCUMENTFILE='C:\Tabulados_Estructural\TABULADOS_TIC'
     OPERATION=CREATESHEET  SHEET='C2A'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

*POR TAMAÑO DE EMPRESA. 
CTABLES
  /VLABELS VARIABLES=cod_tamano k tic2_1 tic2_2 tic2_3 tic2_4 DISPLAY=LABEL
  /TABLE cod_tamano [C]  BY k [S][SUM] + tic2_1 [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic2_2 [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
                                                                          + tic2_3 [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic2_4 [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=cod_tamano ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=tic2_1 tic2_2 tic2_3 tic2_4 [1, 2, OTHERNM] EMPTY=INCLUDE
   /CRITERIA CILEVEL=95
  /TITLES TITLE='CUADRO No. C2B'
                        'EMPRESAS CON CONEXIÓN A INTERNET Y TIPO DE CONEXIÓN SEGÚN TAMAÑO DE EMPRESA'
                        '(NÚMERO Y PORCENTAJE)'
         CAPTION='Fuente: Módulo de TIC de la Encuesta Estructural Empresarial (ENESEM) 2020'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLSX  DOCUMENTFILE='C:\Tabulados_Estructural\TABULADOS_TIC'
     OPERATION=CREATESHEET  SHEET='C2B'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

*CUADRO 3. EMPRESAS CON CONEXIÓN A INTERNET POR USO DEL INTERNET (NÚMERO Y PORCENTAJE).								

*Para efectos del tabulado se recodifican los valores perdidos por el flujo del formulario (se recodifican como NO). 

*POR SECTOR ECONÓMICO. 
CTABLES
  /VLABELS VARIABLES=cod_sector  tic2_6a tic2_6b tic2_6c tic2_6d tic2_6e tic2_6f tic2_6g tic2_6h tic2_6i tic2_6j tic2_6k DISPLAY=BOTH
  /TABLE cod_sector [C]  BY k [S][SUM] + tic2_6a [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + 
                                                         tic2_6b [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic2_6c [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] +
                                                         tic2_6d [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic2_6e [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + 
                                                         tic2_6f [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic2_6g [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + 
                                                         tic2_6h [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic2_6i [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] +
                                                         tic2_6j [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic2_6k [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=cod_sector ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=tic2_6a tic2_6b tic2_6c tic2_6d tic2_6e tic2_6f tic2_6g tic2_6h tic2_6i tic2_6j tic2_6k [1, 2, OTHERNM] EMPTY=INCLUDE
  /CRITERIA CILEVEL=95
  /TITLES TITLE='CUADRO No. C3A'
                        'EMPRESAS CON CONEXIÓN A INTERNET SEGÚN SECTOR ECONÓMICO DE EMPRESA POR USO DEL INTERNET'
                        '(NÚMERO Y PORCENTAJE)' 
         CAPTION='Fuente: Módulo de TIC de la Encuesta Estructural Empresarial (ENESEM) 2020'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLSX  DOCUMENTFILE='C:\Tabulados_Estructural\TABULADOS_TIC'
     OPERATION=CREATESHEET  SHEET='C3A'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

*POR TAMAÑO DE EMPRESA. 
CTABLES
  /VLABELS VARIABLES=cod_tamano  tic2_6a tic2_6b tic2_6c tic2_6d tic2_6e tic2_6f tic2_6g tic2_6h tic2_6i tic2_6j tic2_6k DISPLAY=BOTH
  /TABLE cod_tamano [C]  BY k [S][SUM] + tic2_6a [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + 
                                                          tic2_6b [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic2_6c [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] +
                                                          tic2_6d [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic2_6e [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + 
                                                          tic2_6f [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic2_6g [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + 
                                                          tic2_6h [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic2_6i [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] +
                                                          tic2_6j [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic2_6k [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=cod_tamano ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=tic2_6a tic2_6b tic2_6c tic2_6d tic2_6e tic2_6f tic2_6g tic2_6h tic2_6i tic2_6j tic2_6k [1, 2, OTHERNM] EMPTY=INCLUDE
  /CRITERIA CILEVEL=95
  /TITLES TITLE='CUADRO No. C3B'
                        'EMPRESAS CON CONEXIÓN A INTERNET SEGÚN TAMAÑO DE EMPRESA POR USO DEL INTERNET'
                        '(NÚMERO Y PORCENTAJE)' 
         CAPTION='Fuente: Módulo de TIC de la Encuesta Estructural Empresarial (ENESEM) 2020'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLSX  DOCUMENTFILE='C:\Tabulados_Estructural\TABULADOS_TIC'
     OPERATION=CREATESHEET  SHEET='C3B'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

*CUADRO 4.  EMPRESAS CON INTRANET, EXTRANET  Y RED DE AREA LOCAL							
(NÚMERO Y PORCENTAJE).

*Para efectos del tabulado se recodifican los valores perdidos por el flujo del formulario (se recodifican como NO). 
*RECODE tic2_9 tic2_10 tic2_11 (SYSMIS=2).					

*POR SECTOR ECONOMICO.
CTABLES
  /VLABELS VARIABLES=cod_sector  k tic2_9 tic2_10 tic2_11 DISPLAY=LABEL
  /TABLE cod_sector [C]  BY k [S][SUM] + tic2_9 [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic2_10 [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
                                                                          + tic2_11 [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=cod_sector ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=tic2_9 tic2_10 tic2_11 [1, 2, OTHERNM] EMPTY=INCLUDE
  /CRITERIA CILEVEL=95
  /TITLES TITLE='CUADRO No. C4A'
                        'EMPRESAS CON INTRANET, EXTRANET Y RED DE AREA LOCAL SEGÚN SECTOR ECONÓMICO'
                        '(NÚMERO Y PORCENTAJE) '
        CAPTION='Fuente: Módulo de TIC de la Encuesta Estructural Empresarial (ENESEM) 2020'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLSX  DOCUMENTFILE='C:\Tabulados_Estructural\TABULADOS_TIC'
     OPERATION=CREATESHEET  SHEET='C4A'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

*POR TAMAÑO DE EMPRESA.
CTABLES
  /VLABELS VARIABLES=cod_tamano  k tic2_9 tic2_10 tic2_11 DISPLAY=LABEL
  /TABLE cod_tamano [C]  BY k [S][SUM] + tic2_9 [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic2_10 [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
                                                                            + tic2_11 [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES= cod_tamano ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=tic2_9 tic2_10 tic2_11 [1, 2, OTHERNM] EMPTY=INCLUDE
  /CRITERIA CILEVEL=95
  /TITLES TITLE='CUADRO No. C4B'
                        'EMPRESAS CON INTRANET, EXTRANET Y RED DE AREA LOCAL SEGÚN TAMAÑO DE EMPRESA'
                        '(NÚMERO Y PORCENTAJE) '
        CAPTION='Fuente: Módulo de TIC de la Encuesta Estructural Empresarial (ENESEM) 2020'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLSX  DOCUMENTFILE='C:\Tabulados_Estructural\TABULADOS_TIC'
     OPERATION=CREATESHEET  SHEET='C4B'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

*CUADRO 5. EMPRESAS QUE REALIZARON TRANSACCIONES COMERCIALES A TRAVÉS DE INTERNET 								
(NÚMERO Y PORCENTAJE).

*Para efectos del tabulado se recodifican los valores perdidos por el flujo del formulario (se recodifican como NO). 
*RECODE tic3_1 tic3_2 (SYSMIS=2).				

*POR SECTOR ECONÓMICO.
CTABLES    
  /VLABELS VARIABLES=cod_sector  k tic3_1 tic3_2 DISPLAY=LABEL
  /TABLE cod_sector [C]  BY k [S][SUM]  + tic3_1 [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic3_2 [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=cod_sector ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=tic3_1 tic3_2 [1, 2, OTHERNM] EMPTY=INCLUDE
  /CRITERIA CILEVEL=95
  /TITLES TITLE='CUADRO No. C5A'
                        'EMPRESAS QUE REALIZARON TRANSACCIONES COMERCIALES A TRAVÉS DE INTERNET SEGÚN SECTOR ECONÓMICO'
                        '(NÚMERO Y PORCENTAJE)'
              CAPTION='Fuente: Módulo de TIC de la Encuesta Estructural Empresarial (ENESEM) 2020'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLSX  DOCUMENTFILE='C:\Tabulados_Estructural\TABULADOS_TIC'
     OPERATION=CREATESHEET  SHEET='C5A'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

*POR TAMAÑO DE EMPRESA.
CTABLES
  /VLABELS VARIABLES= k cod_tamano tic3_1 tic3_2 DISPLAY=LABEL
  /TABLE cod_tamano [C]  BY k [S][SUM] + tic3_1 [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic3_2 [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=cod_tamano ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=tic3_1 tic3_2 [1, 2, OTHERNM] EMPTY=INCLUDE
  /CRITERIA CILEVEL=95
  /TITLES TITLE='CUADRO No. C5B'
                        'EMPRESAS QUE REALIZARON TRANSACCIONES COMERCIALES A TRAVÉS DE INTERNET SEGÚN TAMAÑO DE EMPRESA'
                        '(NÚMERO Y PORCENTAJE)'
              CAPTION='Fuente: Módulo de TIC de la Encuesta Estructural Empresarial (ENESEM) 2020'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLSX  DOCUMENTFILE='C:\Tabulados_Estructural\TABULADOS_TIC'
     OPERATION=CREATESHEET  SHEET='C5B'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

**CUADRO 6. EMPRESAS QUE UTILIZARON SOFTWARE DE CÓDIGO ABIERTO SEGÚN TIPO DE SOFTWARE															
(NÚMERO Y PORCENTAJE).	

*Para efectos del tabulado se recodifican los valores perdidos por el flujo del formulario (se recodifican como NO). 
*RECODE tic4_2a tic4_2b tic4_2c tic4_2d tic4_2e (SYSMIS=2).					

*POR SECTOR ECONÓMICO.
CTABLES
  /VLABELS VARIABLES=cod_sector  k tic4_2a tic4_2b tic4_2c tic4_2d tic4_2e DISPLAY=LABEL
  /TABLE cod_sector [C]  BY k [S][SUM] + tic4_2a [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic4_2b [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
                                                                          + tic4_2c [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic4_2d [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] 
                                                                          + tic4_2e [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=cod_sector ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=tic4_2a tic4_2b tic4_2c tic4_2d tic4_2e [1, 2, OTHERNM] EMPTY=INCLUDE
  /CRITERIA CILEVEL=95
  /TITLES TITLE='CUADRO No. C6A'
                        'EMPRESAS QUE UTILIZARON SOFTWARE DE CÓDIGO ABIERTO SEGÚN TIPO DE SOFTWARE, POR SECTOR ECONÓMICO'
                        '(NÚMERO Y PORCENTAJE)'
                    CAPTION='Fuente: Módulo de TIC de la Encuesta Estructural Empresarial (ENESEM) 2020'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLSX  DOCUMENTFILE='C:\Tabulados_Estructural\TABULADOS_TIC'
     OPERATION=CREATESHEET  SHEET='C6A'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

*POR TAMAÑO DE EMPRESA.
CTABLES
  /VLABELS VARIABLES=cod_tamano  k tic4_2a tic4_2b tic4_2c tic4_2d tic4_2e DISPLAY=LABEL
  /TABLE cod_tamano [C]  BY k [S][SUM] + tic4_2a [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic4_2b [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
                                                                            + tic4_2c [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic4_2d [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
                                                                            + tic4_2e [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=cod_tamano ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=tic4_2a tic4_2b tic4_2c tic4_2d tic4_2e [1, 2, OTHERNM] EMPTY=INCLUDE
  /CRITERIA CILEVEL=95
  /TITLES TITLE='CUADRO No. C6B'
                        'EMPRESAS QUE UTILIZARON SOFTWARE DE CÓDIGO ABIERTO SEGÚN TIPO DE SOFTWARE, POR TAMAÑO DE EMPRESA'
                        '(NÚMERO Y PORCENTAJE)'
                    CAPTION='Fuente: Módulo de TIC de la Encuesta Estructural Empresarial (ENESEM) 2020'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLSX  DOCUMENTFILE='C:\Tabulados_Estructural\TABULADOS_TIC'
     OPERATION=CREATESHEET  SHEET='C6B'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

*CUADRO 7. EMPRESAS CUYAS ACTIVIDADES DE NEGOCIO SE APOYARON EN EL USO DE TIC	
(NÚMERO Y PORCENTAJE).

*Para efectos del tabulado se recodifican los valores perdidos por el flujo del formulario (se recodifican como NO). 
*RECODE tic4_4a tic4_4b tic4_4c tic4_4d tic4_4e tic4_4f tic4_4g tic4_4h (SYSMIS=2).					

*POR SECTOR ECONÓMICO.
CTABLES
  /VLABELS VARIABLES=cod_sector  k tic4_4a tic4_4b tic4_4c tic4_4d tic4_4e tic4_4f tic4_4g tic4_4h DISPLAY=LABEL
  /TABLE cod_sector [C]  BY k [S][SUM] + tic4_4a [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic4_4b [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
                                                                          + tic4_4c [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic4_4d [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
                                                                          + tic4_4e [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic4_4f [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
                                                                          + tic4_4g [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic4_4h [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=cod_sector ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=tic4_4a tic4_4b tic4_4c tic4_4d tic4_4e tic4_4f tic4_4g tic4_4h [1, 2, OTHERNM] EMPTY=INCLUDE
  /CRITERIA CILEVEL=95
  /TITLES TITLE='CUADRO No. C7A'
                        'EMPRESAS CUYAS ACTIVIDADES DE NEGOCIO SE APOYARON EN EL USO DE TIC, POR SECTOR ECONÓMICO'
                        '(NÚMERO Y PORCENTAJE)'
         CAPTION='Fuente: Módulo de TIC de la Encuesta Estructural Empresarial (ENESEM) 2020'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLSX  DOCUMENTFILE='C:\Tabulados_Estructural\TABULADOS_TIC'
     OPERATION=CREATESHEET  SHEET='C7A'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

*POR TAMAÑO DE EMPRESA.
CTABLES
  /VLABELS VARIABLES=cod_tamano  k tic4_4a tic4_4b tic4_4c tic4_4d tic4_4e tic4_4f tic4_4g tic4_4h DISPLAY=LABEL
  /TABLE cod_tamano [C]  BY k [S][SUM] + tic4_4a [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic4_4b [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] 
                                                                            + tic4_4c [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic4_4d [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] 
                                                                            + tic4_4e [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic4_4f [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
                                                                            + tic4_4g [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic4_4h [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=cod_tamano ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=tic4_4a tic4_4b tic4_4c tic4_4d tic4_4e tic4_4f tic4_4g tic4_4h [1, 2, OTHERNM] EMPTY=INCLUDE
  /CRITERIA CILEVEL=95
    /TITLES TITLE='CUADRO No. C7B'
                          'EMPRESAS CUYAS ACTIVIDADES DE NEGOCIO SE APOYARON EN EL USO DE TIC, POR TAMAÑO DE EMPRESA'
                          '(NÚMERO Y PORCENTAJE)'
           CAPTION='Fuente: Módulo de TIC de la Encuesta Estructural Empresarial (ENESEM) 2020'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLSX  DOCUMENTFILE='C:\Tabulados_Estructural\TABULADOS_TIC'
     OPERATION=CREATESHEET  SHEET='C7B'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

*CUADRO 8.EMPRESAS UTILIZARON MEDIOS DE COMUNICACIÓN																		
(NÚMERO Y PORCENTAJE).

*Para efectos del tabulado se recodifican los valores perdidos por el flujo del formulario (se recodifican como NO). 
*RECODE tic5_1a tic5_1b tic5_1c tic5_1d tic5_1e tic5_1f tic5_1g tic5_1h (SYSMIS=2).															

*POR SECTOR ECONÓMICO.
CTABLES
  /VLABELS VARIABLES=cod_sector  k tic5_1a tic5_1b tic5_1c tic5_1d tic5_1e tic5_1f tic5_1g tic5_1h DISPLAY=LABEL
  /TABLE cod_sector [C]  BY k [S][SUM] + tic5_1a [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic5_1b [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
                                                                          + tic5_1c [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic5_1d [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
                                                                          + tic5_1e [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic5_1f [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
                                                                          + tic5_1g [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic5_1h [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=cod_sector ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=tic5_1a tic5_1b tic5_1c tic5_1d tic5_1e tic5_1f tic5_1g tic5_1h [1, 2, OTHERNM] EMPTY=INCLUDE
  /CRITERIA CILEVEL=95
  /TITLES TITLE='CUADRO No. C8A'
                        'EMPRESAS QUE UTILIZARON MEDIOS DE COMUNICACIÓN POR SECTOR ECONÓMICO'
                        '(NÚMERO Y PORCENTAJE)'
         CAPTION='Fuente: Módulo de TIC de la Encuesta Estructural Empresarial (ENESEM) 2020'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLSX  DOCUMENTFILE='C:\Tabulados_Estructural\TABULADOS_TIC'
     OPERATION=CREATESHEET  SHEET='C8A'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

*POR TAMAÑO DE EMPRESA.
CTABLES
  /VLABELS VARIABLES=cod_tamano  k tic5_1a tic5_1b tic5_1c tic5_1d tic5_1e tic5_1f tic5_1g tic5_1h DISPLAY=LABEL
  /TABLE cod_tamano [C]  BY k [S][SUM] + tic5_1a [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic5_1b [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
                                                                            + tic5_1c [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic5_1d [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
                                                                            + tic5_1e [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic5_1f [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
                                                                            + tic5_1g [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic5_1h [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=cod_tamano ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=tic5_1a tic5_1b tic5_1c tic5_1d tic5_1e tic5_1f tic5_1g tic5_1h [1, 2, OTHERNM] EMPTY=INCLUDE
  /CRITERIA CILEVEL=95
  /TITLES TITLE='CUADRO No. C8B'
                        'EMPRESAS QUE UTILIZARON MEDIOS DE COMUNICACIÓN POR TAMAÑO DE EMPRESA'
                        '(NÚMERO Y PORCENTAJE)'
         CAPTION='Fuente: Módulo de TIC de la Encuesta Estructural Empresarial (ENESEM) 2020'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLSX  DOCUMENTFILE='C:\Tabulados_Estructural\TABULADOS_TIC'
     OPERATION=CREATESHEET  SHEET='C8B'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

*CUADRO 9. PERSONAL OCUPADO QUE UTILIZA INTERNET Y COMPUTADORES						
(NÚMERO).				

COMPUTE pers_ocup_internet_tot=sum.1(tic2_5_pers_ocup_internet_h, tic2_5_pers_ocup_internet_m). 
VARIABLE LABELS pers_ocup_internet_tot 'Personal que utiliza internet'.

COMPUTE pers_ocup_comp=sum.1(tic4_1_1_pers_ocup_usa_disp_h, tic4_1_1_pers_ocup_usa_disp_m).
VARIABLE LABELS pers_ocup_comp 'Personal que utiliza computadores'.

COMPUTE totalpeoc =sum.1(tic6_1_1_pers_ocup_h , tic6_1_1_pers_ocup_m ). 
VARIABLE LABELS totalpeoc 'Personal ocupado'.
FORMATS totalpeoc (F15.0).

WEIGHT by f_exp.
USE ALL.

CTABLES
  /VLABELS VARIABLES=cod_sector  pers_ocup_comp pers_ocup_internet_tot totalpeoc DISPLAY=LABEL
  /TABLE cod_sector [C]  BY totalpeoc [S][SUM F40.0] + pers_ocup_internet_tot [S][SUM F40.0] + pers_ocup_comp [S][SUM F40.0] 
  /CATEGORIES VARIABLES=cod_sector ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CRITERIA CILEVEL=95
  /TITLES TITLE='CUADRO No. C9A'
                        'PERSONAL OCUPADO, PERSONAL QUE UTILIZA INTERNET Y PERSONAL QUE UTILIZA COMPUTADORES SEGÚN SECTOR ECONÓMICO'
                        '(NÚMERO)'
         CAPTION='Fuente: Módulo de TIC de la Encuesta Estructural Empresarial (ENESEM) 2020'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLSX  DOCUMENTFILE='C:\Tabulados_Estructural\TABULADOS_TIC'
     OPERATION=CREATESHEET  SHEET='C9A'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

CTABLES
  /VLABELS VARIABLES= pers_ocup_comp pers_ocup_internet_tot totalpeoc DISPLAY=LABEL
  /TABLE cod_tamano [C]  BY totalpeoc [S][SUM F40.0] + pers_ocup_internet_tot [S][SUM F40.0] + pers_ocup_comp [S][SUM F40.0]
  /CATEGORIES VARIABLES=cod_tamano ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CRITERIA CILEVEL=95
  /TITLES TITLE='CUADRO No. C9B'
                        'PERSONAL OCUPADO, PERSONAL QUE UTILIZA INTERNET Y PERSONAL QUE UTILIZA COMPUTADORES SEGÚN TAMAÑO DE EMPRESA'
                        '(NÚMERO)'
         CAPTION='Fuente: Módulo de TIC de la Encuesta Estructural Empresarial (ENESEM) 2020'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLSX  DOCUMENTFILE='C:\Tabulados_Estructural\TABULADOS_TIC'
     OPERATION=CREATESHEET  SHEET='C9B'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

WEIGHT OFF.

DELETE VARIABLES pers_ocup_internet_tot pers_ocup_comp totalpeoc.
